#
# spec file for package bless
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bless
Version:        0.6.0
Release:        lp151.2.1
Summary:        Gtk#-based Hex-editor written in C#
License:        GPL-2.0
Group:          Development/Tools/Other
Url:            http://home.gna.org/bless
Source:         http://download.gna.org/bless/%{name}-%{version}.tar.gz
Source1:        http://download.gna.org/bless/bless-0.6.0.tar.gz.sig
Source2:        http://gna.org/people/viewgpg.php?user_id=1269#/alf82-key.gpg
BuildRequires:  autoconf automake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glade-sharp-2.0)
BuildRequires:  pkgconfig(gtk-sharp-2.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  rarian-scrollkeeper-compat
BuildRequires:  update-desktop-files
BuildRequires:  fdupes
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bless is a hex editor written in Mono/Gtk#. It features:

* Efficient editing of large data files and block devices.
* Multilevel undo - redo operations.
* Customizable data views.
* Multiple tabs.
* A data conversion table.
* Advanced copy/paste capabilities.
* Highlighting of selection pattern matches in the file.
* Plugin-based architecture.
* Export of data to text and HTML (others with plugins).
* Bitwise operations on data.

%package doc
Summary:        Documentation for Bless
Group:          Development/Tools/Other

%description doc
Bless is a hex editor.

This package contains the documentation.

%prep
%setup -q

# Fix Build for Mono 4.0
sed -i 's/gmcs/dmcs/' configure{,.ac} builder/ModuleBuilder.cs

%build
./configure --prefix=%{_prefix} --libdir=%{_libexecdir} --without-scrollkeeper
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -r bless Utility TextEditor
rm %{buildroot}%{_datadir}/doc/bless/INSTALL
%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/bless
%{_libexecdir}/bless/
%{_datadir}/applications/bless.desktop
%{_datadir}/bless
%dir %{_datadir}/omf/
%{_datadir}/omf/bless/
%{_datadir}/pixmaps/*

%files doc
%defattr(-,root,root)
%{_datadir}/doc/bless/
%{_datadir}/doc/bless/user/
%{_datadir}/doc/bless/user/figures/

%changelog
* Sun Oct 30 2016 jengelh@inai.de
- Replace filler words by actual feature descriptions.
* Tue Oct 25 2016 mailaender@opensuse.org
- add README, COPYING/AUTHORS and ChangeLog/NEWS
* Sun Mar 20 2016 mailaender@opensuse.org
- fix download and add GPG checks
- add desktop post/un macros
- add rarian dependency
- fix build for Mono 4.0
- split documentation into sub package
* Wed May 19 2010 cdengler@suse.de
- adjust the spec-file: version to the actual one (0.6.0)
- remove http download of the package
  Sun Oct  9 00:00:00 UTC 2005 - Alexandros Frantzis <alf82 at freemail dot gr> 0.4.0
- Updated .spec file for bless-0.4.0
- All documentation now gets installed in %%{_datadir}/doc/%%{name}-%%{version}/
  instead of %%{_docdir}/%%{name}-%%{version}/
- Added post and postun actions for scrollkeeper
  Mon Sep 12 00:00:00 UTC 2005 - Mirco Mueller <macslow at bangang dot de> 0.4.0-rc1
- initial .spec file written for bless-0.4.0-rc1.tar.gz
